Subject: bug#68660: 29.2; ELPA: Wrong type argument w. multiple maintainers in package-menu-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 31 Jan 2024 14:24:05 -0500

> Yes, what you describe definitely seems preferable. So, I guess
> `:maintainer' (singular) will always be populated no matter what, for
> the benefit of legacy clients who only speak the one. And newer clients
> will be taught to always first check `:maintainers' (plural).

I'd rather have only one of the two (either `:maintainer` or
`:maintainers`) but not both at the same time.  The downside for those
few multi-maintainer packages is fairly small (its only impact is that
`describe-package` will not show the maintainers, which is what we've
had for many years).

> Please let me know if anything is required from ERC to make this a
> reality. And, of course, I very much appreciate your taking the time.

Nothing specific on ERC's side, no.
But patches for `elpa-admin.el` and for Emacs would be welcome (tho
extra time would be welcome as well :-)

        Stefan